Subject: Re: [RFC PATCH v4 00/19] Modernize the build system

From: Junio C Hamano <[email-masked]>
Date: Fri, 15 Nov 2024 08:06:18 +0900

Patrick Steinhardt <[email-masked]> writes:

> If this is a requirement I can adapt though. While Meson does not
> support hardlinks natively, we can of of course manually wire up them
> if required.

Nah, there must be bigger fish to fry in the new build system
integration, and I have a feeling that by the time we are done, we
may have lost the largest need for hardlinks.

I have a feeling that in _some_ future, we may not be installing
"git-add" and friends for the built-in commands anywhere on disk,
which is historically the primary thing we use hardlinks for to
conserve both disk space and inodes.

Thanks.